#!/usr/bin/perl

############################
$foldList = "fold.list";
$foldDir = "./initialFold";

$postpred = "bin/mixNorm.R";
############################


if(! -s "$foldList"){ die "Fold list is missing: $foldList\n"}	

open(in,"$foldList");
while($l = <in>){
    if($l =~ /^(\S+)/){
	$fd = $1;
	$fd{$fd} = $fd;
    }
}
close(in);

foreach $fd (keys %fd){
    $fdFile = "$foldDir/$fd\-fold.TMscore";
    $postSampleFile = "$foldDir/$fd\-fold.TMscore\.sample";
    print "Sampling....\n";
    print "Rscript $postpred $fdFile $postSampleFile\n";
    `Rscript $postpred $fdFile $postSampleFile`;
}


